<?php if (!defined('ABSPATH')) {exit;}
function gupfw_debug_page() { 
 $gupfw_keeplogs = gupfw_optionGET('gupfw_keeplogs');
 $gupfw_disable_notices = gupfw_optionGET('gupfw_disable_notices');
 ?>
 <div class="wrap"><h1><?php _e('Debug page', 'gupfw'); ?> v.<?php echo gupfw_optionGET('gupfw_version'); ?></h1>
  <div id="dashboard-widgets-wrap"><div id="dashboard-widgets" class="metabox-holder">
   <div id="postbox-container-1" class="postbox-container"><div class="meta-box-sortables">  
	<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" enctype="multipart/form-data">	 
	<div class="postbox">
	 <div class="inside">
		<h2><?php _e('Logs', 'gupfw'); ?></h2>
		<p><?php if ($gupfw_keeplogs === 'on') {echo '<strong>'. __("Log-file here", 'gupfw').':</strong><br />'. gupfw_UPLOAD_DIR .'/gupfw/gupfw.log';	} ?></p>		
		<table class="form-table"><tbody>
		 <tr>
			<th scope="row"><label for="gupfw_keeplogs"><?php _e('Keep logs', 'gupfw'); ?></label><br />
				<input class="button" id="gupfw_submit_clear_logs" type="submit" name="gupfw_submit_clear_logs" value="<?php _e('Clear logs', 'gupfw'); ?>" />
			</th>
			<td class="overalldesc">
				<input type="checkbox" name="gupfw_keeplogs" id="gupfw_keeplogs" <?php checked($gupfw_keeplogs, 'on' ); ?>/><br />
				<span class="description"><?php _e('Do not check this box if you are not a developer', 'gupfw'); ?>!</span>
			</td>
		 </tr>
		 <tr>
			<th scope="row"><label for="gupfw_disable_notices"><?php _e('Disable notices', 'gupfw'); ?></label></th>
			<td class="overalldesc">
				<input type="checkbox" name="gupfw_disable_notices" id="gupfw_disable_notices" <?php checked($gupfw_disable_notices, 'on' ); ?>/><br />
				<span class="description"><?php _e('Disable notices from Gift upon purchase for WooCommerce', 'gupfw'); ?>!</span>
			</td>
		 </tr>
		 <tr>
			<th scope="row"><label for="button-primary"></label></th>
			<td class="overalldesc"></td>
		 </tr>		 
		 <tr>
			<th scope="row"><label for="button-primary"></label></th>
			<td class="overalldesc"><?php wp_nonce_field('gupfw_nonce_action_debug', 'gupfw_nonce_field_debug'); ?><input id="button-primary" class="button-primary" type="submit" name="gupfw_submit_debug_page" value="<?php _e( 'Save', 'gupfw'); ?>" /><br />
			<span class="description"><?php _e('Click to save the settings', 'gupfw'); ?></span></td>
		 </tr>
        </tbody></table>
     </div>
    </div>
    </form>
	<?php do_action('gupfw_debug_append_container-1'); ?> 
   </div></div>
   <div id="postbox-container-2" class="postbox-container"><div class="meta-box-sortables">
  	<?php do_action('gupfw_debug_prepend_container-2'); ?> 
	<div class="postbox">
	 <div class="inside">
	  	<h2><?php _e('Possible problems', 'gupfw'); ?></h2>
		  <?php
			$possible_problems_arr = gupfw_possible_problems_list();
			if ($possible_problems_arr[1] > 0) { // $possibleProblemsCount > 0) {
				echo '<ol>'.$possible_problems_arr[0].'</ol>';
			} else {
				echo '<p>'. __('Self-diagnosis functions did not reveal potential problems', 'gupfw').'.</p>';
			}
		?>
	 </div>
	</div>
   <?php do_action('gupfw_debug_append_container-2'); ?>
   </div></div>
   <div id="postbox-container-3" class="postbox-container"><div class="meta-box-sortables">
	<?php do_action('gupfw_debug_prepend_container-3'); ?> 	
	<div class="postbox">
	 <div class="inside">
		<h2><?php _e('Reset plugin settings', 'gupfw'); ?></h2>
		<p><?php _e('Reset plugin settings can be useful in the event of a problem', 'gupfw'); ?>.</p>
		<form action="<?php echo $_SERVER['REQUEST_URI'];?>" method="post" enctype="multipart/form-data">
			<?php wp_nonce_field('gupfw_nonce_action_reset', 'gupfw_nonce_field_reset'); ?><input class="button-primary" type="submit" name="gupfw_submit_reset" value="<?php _e('Reset plugin settings', 'gupfw'); ?>" />	 
		</form>
	 </div>
	</div>
	<?php do_action('gupfw_debug_append_container-3'); ?>	 
   </div></div>
   <div id="postbox-container-4" class="postbox-container"><div class="meta-box-sortables">
  	<?php do_action('gupfw_debug_prepend_container-4'); ?>
	<div class="postbox">
	 <div class="inside">
		<h2><?php _e('Send data about the work of the plugin', 'gupfw'); ?></h2>
		<p><?php _e('Sending statistics you help make the plugin even better', 'gupfw'); ?>! <?php _e('The following data will be transferred', 'gupfw'); ?>:</p>
		<ul>
			<li>- <?php _e('Site URL', 'gupfw'); ?></li>
			<li>- <?php _e('Error reporting', 'gupfw'); ?></li>
		</ul>
		<p><?php _e('The plugin helped you create a gift when buying for WooCommerce', 'gupfw'); ?>?</p>
		<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" enctype="multipart/form-data">
		 <p>
			<input type="radio" name="gupfw_its_ok" value="yes"><?php _e('Yes', 'gupfw'); ?><br />
			<input type="radio" name="gupfw_its_ok" value="no"><?php _e('No', 'gupfw'); ?><br />
		 </p>
		 <p><?php _e("If you don't mind to be contacted in case of problems, please enter your email address", "gupfw"); ?>. <span style="font-weight: 700;"><?php _e('And if you want a response, be sure to include your email address', 'gupfw'); ?></span>.</p>
		 <p><input type="email" name="gupfw_email"></p>
		 <p><?php _e("Your message", "gupfw"); ?>:</p>
		 <p><textarea rows="5" cols="40" name="gupfw_message" placeholder="<?php _e('Enter your text to send me a message (You can write me in Russian or English). I check my email several times a day', 'gupfw'); ?>"></textarea></p>
		 <?php wp_nonce_field('gupfw_nonce_action_send_stat', 'gupfw_nonce_field_send_stat'); ?><input class="button-primary" type="submit" name="gupfw_submit_send_stat" value="<?php _e('Send data', 'gupfw'); ?>" />
		</form>
	 </div>
	</div>
	<?php do_action('gupfw_debug_append_container-4'); ?>
   </div></div>
  </div></div>
 </div>
<?php
} /* end функция страницы debug-а gupfw_debug_page */
?>