<?php if (!defined('ABSPATH')) {exit;} // Защита от прямого вызова скрипта
function gupfw_settings_page() { 
 $gupfw_tgfp_in_cart_status = gupfw_optionGET('gupfw_tgfp_in_cart_status');
 $gupfw_tgfp_in_cart_content = stripslashes(htmlspecialchars(gupfw_optionGET('gupfw_tgfp_in_cart_content'))); 
 $gupfw_tgfp_in_cart_color = gupfw_optionGET('gupfw_tgfp_in_cart_color');
 $gupfw_tgfp_in_cart_fsize = gupfw_optionGET('gupfw_tgfp_in_cart_fsize');

 $gupfw_tgfp_remove_gift_in_cart = gupfw_optionGET('gupfw_tgfp_remove_gift_in_cart');
 $gupfw_tgfp_accept_gift_in_cart = gupfw_optionGET('gupfw_tgfp_accept_gift_in_cart');

 $gupfw_tgfp_in_product_status = gupfw_optionGET('gupfw_tgfp_in_product_status');
 $gupfw_tgfp_in_product_content = stripslashes(htmlspecialchars(gupfw_optionGET('gupfw_tgfp_in_product_content'))); 
 $gupfw_tgfp_in_product_color = gupfw_optionGET('gupfw_tgfp_in_product_color');
 $gupfw_tgfp_in_product_fsize = gupfw_optionGET('gupfw_tgfp_in_product_fsize'); 

 $gupfw_gift_for_any_product_arr = gupfw_optionGET('gupfw_gift_for_any_product_arr');
 $gupfw_gift_for_any_product_in_cart_content = stripslashes(htmlspecialchars(gupfw_optionGET('gupfw_gift_for_any_product_in_cart_content')));
 $gupfw_cart_total_price = gupfw_optionGET('gupfw_cart_total_price');
 $gupfw_whose_price_exceeds = gupfw_optionGET('gupfw_whose_price_exceeds');
 
?>
<div class="wrap">
  <h1><?php _e('Settings', 'gupfw'); ?> Gift upon purchase for WooCommerce </h1>
  <p>(<a href="https://icopydoc.ru/nastrojka-plagina-gift-upon-purchase-for-woocommerce/?utm_source=gift-upon-purchase-for-woocommerce&utm_medium=organic&utm_campaign=in-plugin-gift-upon-purchase-for-woocommerce&utm_content=settings&utm_term=main-instruction" target="_blank"><?php _e('Plugin documentation', 'gupfw'); ?></a>)</p>
  <div id="dashboard-widgets-wrap"><div id="dashboard-widgets" class="metabox-holder">  
	<div id="postbox-container-1" class="postbox-container"><div class="meta-box-sortables" >
		<?php do_action('gupfw_debug_prepend_container-1'); ?> 
		<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" enctype="multipart/form-data">
		<div class="postbox">
		 <div class="inside">
		  <h2><?php _e('Text "gift for purchase" in the cart', 'gupfw'); ?></h2>
		  <table class="form-table"><tbody>
			<tr>
				<th scope="row"><label for="gupfw_tgfp_in_cart_status"><?php _e('Text status', 'gupfw'); ?></label></th>
				<td class="overalldesc">
					<select name="gupfw_tgfp_in_cart_status" id="gupfw_tgfp_in_cart_status">
						<option value="show" <?php selected($gupfw_tgfp_in_cart_status, 'show'); ?>><?php _e('Show', 'gupfw'); ?></option>
						<option value="hide" <?php selected($gupfw_tgfp_in_cart_status, 'hide'); ?>><?php _e('Hide', 'gupfw'); ?></option>
					</select><br />
					<span class="description"><?php _e('Gift Information', 'gupfw'); ?></span>
				</td>
			</tr>
		  	<tr>
				<th scope="row"><label for="gupfw_tgfp_in_cart_content"><?php _e('Text content', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="text" name="gupfw_tgfp_in_cart_content" id="gupfw_tgfp_in_cart_content" value="<?php echo $gupfw_tgfp_in_cart_content; ?>" /><br />
				<span class="description"><?php _e('Text in cart under product name', 'gupfw'); ?></span></td>
			</tr>
		 	<tr>
				<th scope="row"><label for="gupfw_tgfp_in_cart_color"><?php _e('Text color', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input class="iris_color" name="gupfw_tgfp_in_cart_color" id="gupfw_tgfp_in_cart_color" type="text" value="<?php echo $gupfw_tgfp_in_cart_color; ?>"></td>
			</tr>
			<tr>
				<th scope="row"><label for="gupfw_tgfp_in_cart_fsize"><?php _e('Font size', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="number" min="6" name="gupfw_tgfp_in_cart_fsize" id="gupfw_tgfp_in_cart_fsize" value="<?php echo $gupfw_tgfp_in_cart_fsize; ?>" /><br />
				<span class="description"><?php _e('Integer', 'gupfw'); ?></span></td>
			</tr>		
			<tr>
				<th scope="row"><label for="button-primary"></label></th>
				<td class="overalldesc"><?php wp_nonce_field('gupfw_nonce_action_settings', 'gupfw_nonce_field_settings'); ?><input id="button-primary" class="button-primary" type="submit" name="gupfw_submit_action_settings" value="<?php _e('Save', 'gupfw'); ?>" /><br />
				<span class="description"><?php _e('Click to save the settings', 'gupfw'); ?></span></td>
			</tr>
		  </tbody></table>
		 </div>
		</div>	 
		</form>
		<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" enctype="multipart/form-data">
		<div class="postbox">
		 <div class="inside">
		  <h2><?php _e('Text on buttons in the cart', 'gupfw'); ?></h2>
		  <table class="form-table"><tbody>
		  	<tr>
				<th scope="row"><label for="gupfw_tgfp_remove_gift_in_cart"><?php _e('Text content', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="text" name="gupfw_tgfp_remove_gift_in_cart" id="gupfw_tgfp_remove_gift_in_cart" value="<?php echo $gupfw_tgfp_remove_gift_in_cart; ?>" /><br />
				<span class="description"><?php _e('Text in cart on button', 'gupfw'); ?> "<?php _e('Remove gifts', 'gupfw'); ?>"</span></td>
			</tr>
			<tr>
				<th scope="row"><label for="gupfw_tgfp_accept_gift_in_cart"><?php _e('Text content', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="text" name="gupfw_tgfp_accept_gift_in_cart" id="gupfw_tgfp_accept_gift_in_cart" value="<?php echo $gupfw_tgfp_accept_gift_in_cart; ?>" /><br />
				<span class="description"><?php _e('Text in cart on button', 'gupfw'); ?> "<?php _e('Accept gifts', 'gupfw'); ?>"</span></td>
			</tr>
			<tr>
				<th scope="row"><label for="button-primary"></label></th>
				<td class="overalldesc"><?php wp_nonce_field('gupfw_nonce_action_settings12', 'gupfw_nonce_field_settings12'); ?><input id="button-submit-action-settings12" class="button-primary" type="submit" name="gupfw_submit_action_settings12" value="<?php _e('Save', 'gupfw'); ?>" /><br />
				<span class="description"><?php _e('Click to save the settings', 'gupfw'); ?></span></td>
			</tr>
		  </tbody></table>
		 </div>
		</div>	 
		</form>
		<?php do_action('gupfw_debug_append_container-1'); ?> 
	</div></div>
	<div id="postbox-container-2" class="postbox-container"><div class="meta-box-sortables" >
		<?php do_action('gupfw_debug_prepend_container-2'); ?> 
		<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" enctype="multipart/form-data">
		<div class="postbox">
		 <div class="inside">
		  <h2><?php _e('Text "gift for purchase" in the product card', 'gupfw'); ?></h2>
		  <table class="form-table"><tbody>
			<tr>
				<th scope="row"><label for="gupfw_tgfp_in_product_status"><?php _e('Text status', 'gupfw'); ?></label></th>
				<td class="overalldesc">
					<select name="gupfw_tgfp_in_product_status" id="gupfw_tgfp_in_product_status">
						<option value="show" <?php selected($gupfw_tgfp_in_product_status, 'show'); ?>><?php _e('Show', 'gupfw'); ?></option>
						<option value="hide" <?php selected($gupfw_tgfp_in_product_status, 'hide'); ?>><?php _e('Hide', 'gupfw'); ?></option>
					</select><br />
					<span class="description"><?php _e('Gift Information', 'gupfw'); ?></span>
				</td>
			</tr>
		  	<tr>
				<th scope="row"><label for="gupfw_tgfp_in_product_content"><?php _e('Text content', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="text" name="gupfw_tgfp_in_product_content" id="gupfw_tgfp_in_product_content" value="<?php echo $gupfw_tgfp_in_product_content; ?>" /><br />
				<span class="description"><?php _e('The text in the product card before the meta product', 'gupfw'); ?></span></td>
			</tr>
		 	<tr>
				<th scope="row"><label for="gupfw_tgfp_in_product_color"><?php _e('Text color', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input class="iris_color" name="gupfw_tgfp_in_product_color" id="gupfw_tgfp_in_product_color" type="text" value="<?php echo $gupfw_tgfp_in_product_color; ?>"></td>
			</tr>
			<tr>
				<th scope="row"><label for="gupfw_tgfp_in_product_fsize"><?php _e('Font size', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="number" min="6" name="gupfw_tgfp_in_product_fsize" id="gupfw_tgfp_in_product_fsize" value="<?php echo $gupfw_tgfp_in_product_fsize; ?>" /><br />
				<span class="description"><?php _e('Integer', 'gupfw'); ?></span></td>
			</tr>			
			<tr>
				<th scope="row"><label for="button-primary"></label></th>
				<td class="overalldesc"><?php wp_nonce_field('gupfw_nonce_action_settings2', 'gupfw_nonce_field_settings2'); ?><input id="button-submit-action-settings2" class="button-primary" type="submit" name="gupfw_submit_action_settings2" value="<?php _e('Save', 'gupfw'); ?>" /><br />
				<span class="description"><?php _e('Click to save the settings', 'gupfw'); ?></span></td>
			</tr>
		  </tbody></table>
		 </div>
		</div>	 
		</form>
		<?php do_action('gupfw_debug_append_container-2'); ?> 
	</div></div> 
	<div id="postbox-container-3" class="postbox-container"><div class="meta-box-sortables" >
		<?php do_action('gupfw_debug_prepend_container-3'); ?> 
		<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="post" enctype="multipart/form-data">
		<div class="postbox">
		 <div class="inside">
		  <h2><?php _e('Gift for any product', 'gupfw'); ?></h2>		 
		  <table class="form-table"><tbody>
			<tr>
				<th scope="row"><label for="gupfw_gift_for_any_product_arr"><?php _e('Product selection', 'gupfw'); ?></label></th>
				<td class="overalldesc"><?php echo gupfw_select2($gupfw_gift_for_any_product_arr); ?><br />
				<span class="description"><?php _e('Select the products that the user will receive as a gift', 'gupfw'); ?></span></td>
			</tr>
			<tr>
				<th scope="row"><label for="gupfw_gift_for_any_product_in_cart_content"><?php _e('Text content in cart', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="text" name="gupfw_gift_for_any_product_in_cart_content" id="gupfw_gift_for_any_product_in_cart_content" value="<?php echo $gupfw_gift_for_any_product_in_cart_content; ?>" /><br />
				<span class="description"><?php _e('Text in cart under product name', 'gupfw'); ?></span></td>
			</tr>
		  </tbody></table>
		  <hr />
		  <h2><?php _e('Gift Terms', 'gupfw'); ?></h2>
		  <table class="form-table"><tbody>
			<tr>
				<th scope="row"><label for="gupfw_cart_total_price"><?php _e('Cart total price', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="number" min="0" step="0.01" name="gupfw_cart_total_price" id="gupfw_cart_total_price" value="<?php echo $gupfw_cart_total_price; ?>" /><br />
				<span class="description"><?php _e('Numbers only', 'gupfw'); ?></span></td>
			</tr>
			<tr>
				<th scope="row"><label for="gupfw_whose_price_exceeds"><?php _e('Cart contains at least one product whose price exceeds', 'gupfw'); ?></label></th>
				<td class="overalldesc"><input type="number" min="0" step="0.01" name="gupfw_whose_price_exceeds" id="gupfw_whose_price_exceeds" value="<?php echo $gupfw_whose_price_exceeds; ?>" /><br />
				<span class="description"><?php _e('Numbers only', 'gupfw'); ?></span></td>
			</tr>
			<tr>
				<th scope="row"><label for="gupfw_whose_price_exceeds"><?php _e('Gift only on certain days', 'gupfw'); ?></label></th>
				<td class="overalldesc"><?php 
					gupfw_woocommerce_wp_select_multiple(array(
						'id' => 'gupfw_days_of_the_week',
						'wrapper_class' => 'show_if_simple',
						'options' => array(
							'Monday' => __('Monday', 'gupfw'),
							'Tuesday' => __('Tuesday', 'gupfw'),
							'Wednesday' => __('Wednesday', 'gupfw'),
							'Thursday' => __('Thursday', 'gupfw'),
							'Friday' => __('Friday', 'gupfw'),
							'Saturday' => __('Saturday', 'gupfw'),
							'Sunday' => __('Sunday', 'gupfw'),
						)
					), true);	
				?></td>
			</tr>
			<tr>
				<th scope="row"><label for="gupfw_whose_price_exceeds"><?php _e('Gift only at certain hours', 'gupfw'); ?></label></th>
				<td class="overalldesc"><?php 
					$res_arr = array(); for ($i = 1; $i<25; $i++) {$res_arr[$i] = $i;}
					gupfw_woocommerce_wp_select_multiple(array(
						'id' => 'gupfw_days_of_the_hours',
						'wrapper_class' => 'show_if_simple',
						'options' => $res_arr
					), true);	
				?></td>
			</tr>
			<tr>
				<th scope="row"><label for="button-primary"></label></th>
				<td class="overalldesc"><?php wp_nonce_field('gupfw_nonce_action_settings3', 'gupfw_nonce_field_settings3'); ?><input id="button-submit-action-settings3" class="button-primary" type="submit" name="gupfw_submit_action_settings3" value="<?php _e('Save', 'gupfw'); ?>" /><br />
				<span class="description"><?php _e('Click to save the settings', 'gupfw'); ?></span></td>
			</tr>			
		  </tbody></table>
		 </div>
		</div>	 
		</form>
		<?php do_action('gupfw_debug_append_container-3'); ?> 
	</div></div>
	<div id="postbox-container-4" class="postbox-container"><div class="meta-box-sortables" >
		<?php do_action('gupfw_debug_prepend_container-4'); ?> 
		<div class="postbox">
		 <div class="inside">
	 		<h2><?php _e('Please support the project', 'gupfw'); ?>!</h2>
			<p><?php _e('Thank you for using the plugin', 'gupfw'); ?> <strong>Gift upon purchase for WooCommerce</strong></p>
			<p><?php _e('Please help make the plugin better', 'gupfw'); ?> <a href="https://forms.gle/bvqsyzgi6dbP2Zrv6" target="_blank" ><?php _e('answering 3 questions', 'gupfw'); ?>!</a></p>
			<p><?php _e('If this plugin useful to you, please support the project one way', 'gupfw'); ?>:</p>
			<ul class="gupfw_ul">
				<li><a href="//wordpress.org/support/plugin/gift-upon-purchase-for-woocommerce/reviews/" target="_blank"><?php _e('Leave a comment on the plugin page', 'gupfw'); ?></a>.</li>
				<li><?php _e('Support the project financially', 'gupfw'); ?>. <a href="//sobe.ru/na/gift_upon_purchase_for_woocommerce" target="_blank"> <?php _e('Donate now', 'gupfw'); ?></a>.</li>
				<li><?php _e('Noticed a bug or have an idea how to improve the quality of the plugin', 'gupfw'); ?>? <a href="mailto:support@icopydoc.ru"><?php _e('Let me know', 'gupfw'); ?></a>.</li>
			</ul>
			<p><?php _e('The author of the plugin Maxim Glazunov', 'gupfw'); ?>.</p>
			<p><span style="color: red;"><?php _e('Accept orders for individual revision of the plugin', 'gupfw'); ?></span>:<br /><a href="mailto:support@icopydoc.ru"><?php _e('Leave a request', 'gupfw'); ?></a>.</p>
	  </div>
		<?php do_action('gupfw_debug_append_container-4'); ?> 
	</div></div>		
  </div></div>

  <div id="icp_slides" class="clear">
  <div class="icp_wrap">
	<input type="radio" name="icp_slides" id="icp_point1">
	<input type="radio" name="icp_slides" id="icp_point2">
	<input type="radio" name="icp_slides" id="icp_point3" checked>
	<input type="radio" name="icp_slides" id="icp_point4">
	<input type="radio" name="icp_slides" id="icp_point5">
	<input type="radio" name="icp_slides" id="icp_point6">
	<input type="radio" name="icp_slides" id="icp_point7">
	<div class="icp_slider">
		<div class="icp_slides icp_img1"><a href="//wordpress.org/plugins/yml-for-yandex-market/" target="_blank"></a></div>
		<div class="icp_slides icp_img2"><a href="//wordpress.org/plugins/import-products-to-ok-ru/" target="_blank"></a></div>
		<div class="icp_slides icp_img3"><a href="//wordpress.org/plugins/xml-for-google-merchant-center/" target="_blank"></a></div>
		<div class="icp_slides icp_img4"><a href="//wordpress.org/plugins/gift-upon-purchase-for-woocommerce/" target="_blank"></a></div>
		<div class="icp_slides icp_img5"><a href="//wordpress.org/plugins/xml-for-avito/" target="_blank"></a></div>
		<div class="icp_slides icp_img6"><a href="//wordpress.org/plugins/xml-for-o-yandex/" target="_blank"></a></div>
		<div class="icp_slides icp_img7"><a href="//wordpress.org/plugins/import-from-yml/" target="_blank"></a></div>
	</div>
	<div class="icp_control">
		<label for="icp_point1"></label>
		<label for="icp_point2"></label>
		<label for="icp_point3"></label>
		<label for="icp_point4"></label>
		<label for="icp_point5"></label>
		<label for="icp_point6"></label>
		<label for="icp_point7"></label>
	</div>
  </div> 
 </div>
 <?php do_action('gupfw_after_icp_slides'); ?> 

  <div class="metabox-holder">
  <div class="postbox">
  	<h2 class="hndle"><?php _e('My plugins that may interest you', 'gupfw'); ?></h2>
	<div class="inside">
		<p><span class="gupfw_bold">XML for Google Merchant Center</span> - <?php _e('Сreates a XML-feed to upload to Google Merchant Center', 'gupfw'); ?>. <a href="https://wordpress.org/plugins/xml-for-google-merchant-center/" target="_blank"><?php _e('Read more', 'gupfw'); ?></a>.</p> 
		<p><span class="gupfw_bold">YML for Yandex Market</span> - <?php _e('Сreates a YML-feed for importing your products to Yandex Market', 'gupfw'); ?>. <a href="https://wordpress.org/plugins/yml-for-yandex-market/" target="_blank"><?php _e('Read more', 'gupfw'); ?></a>.</p>
		<p><span class="gupfw_bold">Import from YML</span> - <?php _e('Imports products from YML to your shop', 'gupfw'); ?>. <a href="https://wordpress.org/plugins/import-from-yml/" target="_blank"><?php _e('Read more', 'gupfw'); ?></a>.</p>
		<p><span class="gupfw_bold">XML for Hotline</span> - <?php _e('Сreates a XML-feed for importing your products to Hotline', 'gupfw'); ?>. <a href="https://wordpress.org/plugins/xml-for-hotline/" target="_blank"><?php _e('Read more', 'gupfw'); ?></a>.</p>
		<p><span class="gupfw_bold">Gift upon purchase for WooCommerce</span> - <?php _e('This plugin will add a marketing tool that will allow you to give gifts to the buyer upon purchase', 'gupfw'); ?>. <a href="https://wordpress.org/plugins/gift-upon-purchase-for-woocommerce/" target="_blank"><?php _e('Read more', 'gupfw'); ?></a>.</p>
		<p><span class="gupfw_bold">Import products to ok.ru</span> - <?php _e('With this plugin, you can import products to your group on ok.ru', 'gupfw'); ?>. <a href="https://wordpress.org/plugins/import-products-to-ok-ru/" target="_blank"><?php _e('Read more', 'gupfw'); ?></a>.</p>
		<p><span class="gupfw_bold">XML for Avito</span> - <?php _e('Сreates a XML-feed for importing your products to', 'gupfw'); ?> Avito. <a href="https://wordpress.org/plugins/xml-for-avito/" target="_blank"><?php _e('Read more', 'gupfw'); ?></a>.</p>
		<p><span class="gupfw_bold">XML for O.Yandex (Яндекс Объявления)</span> - <?php _e('Сreates a XML-feed for importing your products to', 'gupfw'); ?> Яндекс.Объявления. <a href="https://wordpress.org/plugins/xml-for-o-yandex/" target="_blank"><?php _e('Read more', 'gupfw'); ?></a>.</p>
	</div>
  </div>
 </div>

 </div>
<?php
} /* end функция настроек gupfw_settings_page */ ?>